<!DOCTYPE html>
<!-- Created By CodingNepal -->
<html lang="en" dir="ltr">
   <head>
      <meta charset="utf-8">
      <title>Dropdown Menu Bar</title>
      <link rel="stylesheet">
      <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css"/>
      <style>
        *{
  margin: 0;
  padding: 0;
  list-style: none;
  text-decoration: none;
}
body{
  font-family: sans-serif;
  overflow: hidden;
  user-select: none;
}

nav{
  height: 70px;
  background: #000000;
  box-shadow: 0 3px 15px rgba(0,0,0,.4);
}
nav ul{
  float: right;
  margin-right: 30px;
}
nav ul li{
  display: inline-block;
}
nav ul li a{
  font-family: sans-serif;
  color: white;
  display: block;
  padding: 0 15px;
  line-height: 70px;
  font-size: 20px;
  background: #000102;
  transition: .5s;
}
nav ul li a:hover,
nav ul li a.active{
  color: #db0a5b;
}
nav ul ul{
  position: absolute;
  top: 85px;
  border-top: 3px solid #db0a5b;
  opacity: 0;
  visibility: hidden;
}
nav ul li:hover > ul{
  top: 70px;
  opacity: 1;
  visibility: visible;
  transition: .3s linear;
}
nav ul ul li{
  width: 150px;
  display: list-item;
  position: relative;
  border: 1px solid #042331;
  border-top: none;
}
nav ul ul li a{
  line-height: 50px;
}
nav ul ul ul{
  border-top: none;
}
nav ul ul ul li{
  position: relative;
  top: -70px;
  left: 150px;
}
nav ul ul li a i{
  margin-left: 45px;
}
      </style>
   </head>
   <body>
      <nav>
         <ul>
            <li><a href="http://localhost:8000/lab-1">Lab 1</a></li>
            <li>
              <a href="#">Lab 2
              <i class="fas fa-caret-down"></i>
              </a>
              <ul>
                 <li><a href="http://localhost:8000/lab-2">HTML</a></li>
                 <li><a href="http://localhost:8000/lab-2/xml">XML</a></li>
                 <li><a href="http://localhost:8000/lab-2/json">JSON</a></li>
              </ul>
           </li>
            <li>
               <a href="#">Lab 3
               <i class="fas fa-caret-down"></i>
               </a>
               <ul>
                  <li><a href="http://localhost:8000/lab-3">Index Lab 3</a></li>
                  <li><a href="http://localhost:8000/lab-3/add">Add Friend</a></li>
               </ul>
            </li>
            <li>
               <a href="#">Lab 4
               <i class="fas fa-caret-down"></i>
               </a>
               <ul>
                  <li><a href="http://localhost:8000/lab-4">Index Lab 4</a></li>
                  <li><a href="http://localhost:8000/lab-4/add-note">Add Note</a></li>
                  <li><a href="http://localhost:8000/lab-4/note-list">Note List</a></li>
               </ul>
            </li>
            <li>
              <a href="#">Credit
              <i class="fas fa-caret-down"></i>
              </a>
              <ul>
                 <li><a href="https://www.codingnepalweb.com/animated-drop-down-menu-bar-html-css/">Coding Nepal</a></li>
              </ul>
           </li>
         </ul>
      </nav>
   </body>
</html>